package com.steering.pss.sale.order.model;

/**
 * 数据库表SLM_CUST_ALPHA所对应的实体类（生成工具：代码生成器2.4）
 * @author Chenxi-PC   date 2015-05-30
 */
public class SlmCustAlphaEntity {
    /**
     * 客户Alpha编号
     */
    private String custAlphaNo;
    /**
     * 客户Alpha描述
     */
    private String custAlphaDesc;
    /**
     * 客户Alpha状态(W:待评审;F:评审失败,S:评审通过)
     */
    private String custAlphaSts;
    /**
     * 有效标志(1:有效，0:无效)
     */
    private String validflag;
    /**
     * 创建人
     */
    private String createName;
    /**
     * 创建时间
     */
    private String createTime;
    /**
     * 修改人
     */
    private String updateName;
    /**
     * 修改时间
     */
    private String updateTime;
    /**
     * 删除人
     */
    private String deleteName;
    /**
     * 删除时间
     */
    private String deleteTime;
    private String reviewFRs = "";

	public SlmCustAlphaEntity(){
        custAlphaNo = "";
        custAlphaDesc = "";
        custAlphaSts = "";
        validflag = "";
        createName = "";
        createTime = "";
        updateName = "";
        updateTime = "";
        deleteName = "";
        deleteTime = "";
    }

    /**
     * 客户Alpha编号
     * @return value
     */
    public String getCustAlphaNo() {
        return custAlphaNo;
    }

    /**
     * 客户Alpha编号
     * @param custAlphaNo value
     */
    public void setCustAlphaNo(String custAlphaNo) {
        this.custAlphaNo = custAlphaNo;
    }

    /**
     * 客户Alpha描述
     * @return value
     */
    public String getCustAlphaDesc() {
        return custAlphaDesc;
    }

    /**
     * 客户Alpha描述
     * @param custAlphaDesc value
     */
    public void setCustAlphaDesc(String custAlphaDesc) {
        this.custAlphaDesc = custAlphaDesc;
    }

    /**
     * 客户Alpha状态(W:待评审;F:评审失败,S:评审通过)
     * @return value
     */
    public String getCustAlphaSts() {
        return custAlphaSts;
    }

    /**
     * 客户Alpha状态(W:待评审;F:评审失败,S:评审通过)
     * @param custAlphaSts value
     */
    public void setCustAlphaSts(String custAlphaSts) {
        this.custAlphaSts = custAlphaSts;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 删除人
     * @return value
     */
    public String getDeleteName() {
        return deleteName;
    }

    /**
     * 删除人
     * @param deleteName value
     */
    public void setDeleteName(String deleteName) {
        this.deleteName = deleteName;
    }

    /**
     * 删除时间
     * @return value
     */
    public String getDeleteTime() {
        return deleteTime;
    }

    /**
     * 删除时间
     * @param deleteTime value
     */
    public void setDeleteTime(String deleteTime) {
        this.deleteTime = deleteTime;
    }
    
    public String getReviewFRs() {
		return reviewFRs;
	}

	public void setReviewFRs(String reviewFRs) {
		this.reviewFRs = reviewFRs;
	}
}
